Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.reflection.java.xml
Class XMLContext

    java.lang.Object
      org.hibernate.reflection.java.xml.XMLContext

    public class XMLContext

extends Object

Author:
  Emmanuel Bernard

Nested Class Summary
`static class` | `XMLContext.Default`

Constructor Summary
`XMLContext()`

Method Summary
`List<String>` | `addDocument(org.dom4j.Document doc)` Add a document and return the list of added classes names
`static String` | `buildSafeClassName(String className, String defaultPackageName)`
`static String` | `buildSafeClassName(String className, XMLContext.Default defaults)`
`List<org.dom4j.Element>` | `getAllDocuments()`
`XMLContext.Default` | `getDefault(String className)`
`List<String>` | `getDefaultEntityListeners()`
`org.dom4j.Element` | `getXMLTree(String className, String methodName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLContext

    public XMLContext()

Method Detail

### addDocument

    public List<String> addDocument(org.dom4j.Document doc)

  Add a document and return the list of added classes names

### buildSafeClassName

    public static String buildSafeClassName(String className,
                                            String defaultPackageName)

### buildSafeClassName

    public static String buildSafeClassName(String className,
                                            XMLContext.Default defaults)

### getDefault

    public XMLContext.Default getDefault(String className)

### getXMLTree

    public org.dom4j.Element getXMLTree(String className,
                                        String methodName)

### getAllDocuments

    public List<org.dom4j.Element> getAllDocuments()

### getDefaultEntityListeners

    public List<String> getDefaultEntityListeners()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD